﻿using Infragistics.Documents.RichText;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamRichTextEditorMultiCellCase
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        
        string error = null;
        public MainWindow()
        {
            InitializeComponent();

            TableNode tn = richTextEditor1.Document.InsertTable(0, 5, 4, out error);

            int rowCount = 1;


            string[] row1 = { "Object", "Price", "Stock", "Color", "Pack" };
            string[] row2 = { "1", "5000", "1", "Red", "Classic" };
            string[] row3 = { "1", "5000", "2", "Blue", "Plus" };
            string[] row4 = { "1", "5000", "3", "Green", "Sport" };

            foreach (TableRowNode trn in tn.ChildNodes)
            {
                TableCellNode tcn1 = trn.ChildNodes[0] as TableCellNode;
                TableCellNode tcn2 = trn.ChildNodes[1] as TableCellNode;                

                TableCellSettings mergeSettings = new TableCellSettings();

                mergeSettings.VerticalMerge = TableCellVerticalMerge.Continue;

                if (rowCount == 3)
                {
                    tcn1.Settings = mergeSettings;
                    tcn2.Settings = mergeSettings;           
                }

                if (rowCount == 4)
                {
                    tcn1.Settings = mergeSettings;
                    tcn2.Settings = mergeSettings;
                }

                int cellCount = 0;
                foreach (TableCellNode tcn in trn.ChildNodes)
                {
                    ParagraphNode pn = tcn.ChildNodes[0] as ParagraphNode;

                    if (rowCount == 1)
                    {
                        pn.SetText(row1[cellCount]);
                    }
                    else if (rowCount == 2)
                    {
                        pn.SetText(row2[cellCount]);
                    }
                    else if (rowCount == 3)
                    {
                        pn.SetText(row3[cellCount]);
                    }
                    else if (rowCount == 4)
                    {
                        pn.SetText(row4[cellCount]);
                    }
                    cellCount++;
                }
             
                rowCount++;
            }       
        }                                        
    }
}
